package com.ss.android.ugc.aweme.services;

import X.3BB;
import X.C51029ef;
import X.DzJ;
import X.M12;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.retrofit2.client.Request;
import java.util.Collections;
import java.util.Map;

public class BaseInterceptorService implements DzJ {
    static {
        Covode.recordClassIndex(105020);
    }

    public boolean shouldIntercept(Request request) {
        M12.LIZ(request);
        return false;
    }

    public Map<String, String> interceptAndGetNewParams(int i, Request request, C51029ef<Object> r4) {
        return Collections.emptyMap();
    }

    public void promptIfNeededOrToast(Context context, String str, int i) {
        M12.LIZ(context, str);
        3BB r0 = new 3BB(context);
        r0.LIZ(str);
        r0.LIZIZ();
    }

    public Map<String, String> interceptAndGetNewParams(int i, String str, Request request, String str2) {
        return Collections.emptyMap();
    }
}
